Net Holding A.S.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/net-holding-a-s/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

4 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/net-holding-a-s/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1663113600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": null,
    "holding_balance": 2.8,
    "holding_net_change": 0.0,
    "transaction_value_usd": 79800.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1663113600000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": null,
    "holding_balance": 2.8,
    "holding_net_change": -97.86,
    "transaction_value_usd": 1982051.159332437,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1672444800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": null,
    "holding_balance": 352.0,
    "holding_net_change": 349.2,
    "transaction_value_usd": 5780425.275712025,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/net-holding-a-s/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    352.0
  ],
  [
    1789257600000,
    352.0
  ],
  [
    1789344000000,
    352.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/net-holding-a-s/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1789171200000,
    27184555.2
  ],
  [
    1789257600000,
    27192679.36
  ],
  [
    1789344000000,
    27036472.32
  ]
]
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/net-holding-a-s/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.0,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "up"
}
Not available for this company
  • price-data (Price Data) returns 404 {"error":"Data unavailable for this company"}
  • company-data (Company Data) returns 404 {"error":"Data unavailable for this company"}
  • performance-metrics (Performance Metrics) returns 404 {"error":"Data unavailable for this company"}